/***********************************************************************
 * $Log:	extern.h,v $
 * Revision 1.2  88/09/12  13:11:13  markv
 * Added extern definition for nShadowCacheHits
 * 
 * Revision 1.1  88/09/11  11:00:49  markv
 * Initial revision
 * 
 ***********************************************************************/
extern  int 		yylinecount ;
extern	Viewpoint 	Eye ;
extern	int 		Xresolution ;
extern	int 		Yresolution ;
extern	Light		Lights[] ;
extern	int		nLights ;
extern	Vec		BackgroundColor ;
extern	Surface		* CurrentSurface ;
extern	Object		* Prims[] ;
extern	int		nPrims ;
extern 	Flt		rayeps ;
extern	char *		Progname ;
extern 	int		maxQueueSize ;
extern 	int		totalQueues ;
extern	int		totalQueueResets ;
extern 	int		tickflag ;
extern  int		nChecked ;
extern 	int		nEnqueued ;
extern  int		nShadowCacheHits ;

extern 	Flt		minweight ;
extern 	int		maxlevel ;
extern 	int		nRays ;
extern	int		nShadows ;
extern	int		nReflected ;
extern 	int		nRefracted ;

char *		malloc() ;
char *		calloc() ;
char *		rindex() ;

extern	Object *	MakeCone() ;
extern	Object *	MakeSphere() ;
extern	Object *	MakePatch() ;
extern	Object *	MakePoly() ;

extern 	Flt		VecNormalize() ;
extern	Vec		Slab[] ;
extern	ObjectProcs	NullProcs ;
extern 	Object *	Root ;

#ifdef DUMB_CPP

extern Flt	VecDot() ;
extern Flt 	VecLen() ;

#endif /* DUMB_CPP */
