/***********************************************************************
 * $Author: markv $
 * $Revision: 1.1 $
 * $Date: 88/09/11 11:00:41 $
 * $Log:	pic.c,v $
 * Revision 1.1  88/09/11  11:00:41  markv
 * Initial revision
 * 
 ***********************************************************************/

#include <stdio.h>
#include "pic.h"
#include "defs.h"
#include "extern.h"

/*======================================================================*/
/* PIC.C								*/
/*                                                                      */
/* Simple routines for outputting a pixel map....                       */
/*                                                                      */
/* Mark VandeWettering, markv@cs.uoregon.edu                            */
/*======================================================================*/

Pic *
PicOpen(filename,x,y)
 char *filename ;
{
	Pic	*tmp ;

	tmp = (Pic *) malloc(sizeof (Pic)) ;
	tmp -> filename = (char *) malloc (strlen(filename)+1) ;
	strcpy(tmp->filename, filename);

	if (((tmp -> filep)=fopen(filename, "w"))==NULL) {
		perror( filename );
		exit( 1 );
	}

	tmp -> x = x ; tmp -> y = y ;

	fprintf(tmp -> filep, "%d %d\n", x, y);

	return(tmp);
}

PicWriteLine(pic, buf)
 Pic *pic ;
 Pixel *buf ;
{
	int i ;
	for (i = 0; i < pic -> x ; i ++) {
		fputc(buf[i].r, pic -> filep);
		fputc(buf[i].g, pic -> filep);
		fputc(buf[i].b, pic -> filep);
	}
}

PicClose(pic)
 Pic *pic ;
{
	fclose(pic -> filep) ;
}
